/*
 * Copyright © 2011 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */
package com.nokia.example.capitals;

/**
 * Implementors of this interface can request to be informed
 * of the results of the Web Service remote call asynchronously
 */
public interface PosterListener {

    /**
     * Called as a result of a succesful call containing the nation
     * and the resulting capital
     */
    public void onCapitalRequestComplete(String nation, String capital);

    /**
     * Called as a result of an error while calling the WebService
     */
    public void onCapitalRequestError(String code);
}
